{
  "description": "This type represents a subscription related to notifications about NS instance usage.  It shall comply with the provisions defined in table 8.6.2.3-1.",
  "type": "object",
  "required": [
    "id",
    "callbackUri",
    "_links"
  ],
  "properties": {
    "id": {
      "description": "Identifier that identifies the subscription.",
      "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Identifier"
    },
    "filter": {
      "description": "Filter settings for this subscription, to define the subset of all notifications  this subscription relates to. A particular notification is sent to the subscriber  if the filter matches, or if there is no filter.",
      "$ref": "#/components/schemas/NsInstanceUsageNotificationsFilter"
    },
    "callbackUri": {
      "description": "The URI of the endpoint to send the notification to.",
      "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Uri"
    },
    "_links": {
      "description": "Links to resources related to this resource.",
      "type": "object",
      "required": [
        "self"
      ],
      "properties": {
        "self": {
          "description": "URI of this resource.",
          "$ref": "../components/SOL011_schemas.yaml#/components/schemas/Link"
        }
      }
    }
  }
}